Announcement: Selenium Nodes 4.0 released

#1

Selenium Nodes 4.0 is available

If you’re installing into a fresh KNIME 4.0, please get the update site URL here.

This release provides no new features, rather it ensures compatibility to KNIME 4.0, and thus involves a breaking change. Due to changes in KNIME 4.0 we had to remove the jBrowser plugin – we feel that this is not a big thing, as (1) it was always an optional installation and thus not widely used anyways, and (2) there are now other (better) options for running a headless, bundled browser (e.g. Chrome, Chromium, or Firefox).

Beside that, we removed the “Execute Selenium script” node – the related “Selenium Builder” project for creating the JSON scripts is not maintained since a long while, and the node caused confusions, as there are other, incompatible Selenium JSON script formats which could not be processed by this node anyways.

For more information, please check the change log.

Let us know if you have feedback, comments, or issues!

– Philipp

3 Likes

Palladian nodes gone after update to knime 4.0
#2

In case you’re updating an existing KNIME installation where the jBrowserDriver has been installed, you need to uninstall jBrowserDriver before, else wise you’ll see a “Cannot complete the install because of a conflicting dependency”.

For that, go to About KNIME → Installation Details → Installed Software and there uninstall “Selenium Nodes for KNIME: jBrowserDriver” by selecting the entry and clicking “Uninstall…”

Afterwards, please run the update again.

1 Like

KNIME 4.0
Knime 4.0